Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
rb_w32_reparse_buffer_t Struct Reference

`#include <file.h>`

## Data Fields
ULONG | ReparseTag
USHORT | ReparseDataLength
USHORT | Reserved
union {
struct {
USHORT SubstituteNameOffset
USHORT SubstituteNameLength
USHORT PrintNameOffset
USHORT PrintNameLength
ULONG Flags
WCHAR PathBuffer [4]
} SymbolicLinkReparseBuffer
struct {
USHORT SubstituteNameOffset
USHORT SubstituteNameLength
USHORT PrintNameOffset
USHORT PrintNameLength
WCHAR PathBuffer [4]
} MountPointReparseBuffer
}; |

## Detailed Description

Definition at line 10 of file file.h.

## Field Documentation

## ◆ @196

union { ... }

## ◆ Flags

ULONG rb_w32_reparse_buffer_t::Flags

Definition at line 20 of file file.h.

## ◆ MountPointReparseBuffer

struct { ... } rb_w32_reparse_buffer_t::MountPointReparseBuffer

## ◆ PathBuffer

WCHAR rb_w32_reparse_buffer_t::PathBuffer[4]

Definition at line 21 of file file.h.

## ◆ PrintNameLength

USHORT rb_w32_reparse_buffer_t::PrintNameLength

Definition at line 19 of file file.h.

## ◆ PrintNameOffset

USHORT rb_w32_reparse_buffer_t::PrintNameOffset

Definition at line 18 of file file.h.

## ◆ ReparseDataLength

USHORT rb_w32_reparse_buffer_t::ReparseDataLength

Definition at line 12 of file file.h.

## ◆ ReparseTag

ULONG rb_w32_reparse_buffer_t::ReparseTag

Definition at line 11 of file file.h.

## ◆ Reserved

USHORT rb_w32_reparse_buffer_t::Reserved

Definition at line 13 of file file.h.

## ◆ SubstituteNameLength

USHORT rb_w32_reparse_buffer_t::SubstituteNameLength

Definition at line 17 of file file.h.

## ◆ SubstituteNameOffset

USHORT rb_w32_reparse_buffer_t::SubstituteNameOffset

Definition at line 16 of file file.h.

## ◆ SymbolicLinkReparseBuffer

struct { ... } rb_w32_reparse_buffer_t::SymbolicLinkReparseBuffer

The documentation for this struct was generated from the following file:

- win32/file.h